# -*- coding: utf-8 -*-
"""
Created on Mon Apr 27 14:00:43 2020

@author: Eklund
"""

import numpy as np
import pandas as pd
import matplotlib.lines as mlines

def plot_awareness_per_block(filedir, ax):
    log = pd.read_csv(filedir, sep='\t', header=0, skiprows=6, index_col=False)
    log['block'] = np.repeat(np.arange(1,9), 100)
    y = [np.mean(log['aware'][(log['block']==block)  & (log['cond']==lr)]) 
         for block in np.unique(log['block']) for lr in [0,1]]
    x = np.repeat(np.arange(1,9),2)
    ax.scatter(x,y, color=['red','blue']*8)
    ax.axhline(0.5, color='k', linestyle='--')
    ax.axhline(np.mean(y[::2]), color='r', linestyle='--')
    ax.axhline(np.mean(y[1::2]), color='b', linestyle='--')
    ax.axhline(0.5, color='k', linestyle='--')
    ax.set_ylim(0,1)
    ax.set_xlabel('Block')
    ax.set_ylabel('Percent aware')
    for l in np.arange(1,9):
        ax.axvline(l, color='k', linewidth=0.2)
    left = mlines.Line2D([], [], color='red', marker='o', linestyle='None',
                              markersize=6, label='left')
    right = mlines.Line2D([], [], color='blue', marker='o', linestyle='None',
                              markersize=6, label='right')
    ax.legend(handles=[left, right])